class Progress.Open4GL.DynamicAPI.Tracer
   inherits System.Object
   implements Progress.Common.EhnLog.IAppLogger, Progress.Common.EhnLog.IEhnLog:

   def public static variable DEF_EXEC_ENV_ID as character.

   def public static variable DEF_SUBSYSTEM_ID as character.

   def public static variable O4GLRT_VERSIONID as character.

   def public property ComponentId as character
      get.
      set.

   def public property LogContext as Progress.Common.EhnLog.LogContext
      get.

   def public property LoggingLevel as integer
      get.
      set.

   def public property IsTracing as logical
      get.

   def public property LogEntries as int64
      get.

   constructor public Tracer():
   end constructor.

   method public void startTrace():
   end method.

   method public void startTrace(input level as integer):
   end method.

   method public void startTrace(input fileName as character):
   end method.

   method public void startTrace(input fileName as character, input level as integer):
   end method.

   method public void startTrace(input log as Progress.Common.EhnLog.IAppLogger, input traceLevel as integer, input componentID as character, input subsystemID as character):
   end method.

   method public void print(input aString as character):
   end method.

   method public void print(input aString as character, input level as integer):
   end method.

   method public void print(input t as System.Exception):
   end method.

   method public void print(input t as System.Exception, input level as integer):
   end method.

   method public void endTrace():
   end method.

   method public void logAssert(input bCondition as logical, input subsystemId as integer, input msg as character):
   end method.

   method public void logBasic(input subsystemId as integer, input msg as character):
   end method.

   method public void logBasic(input subsystemId as integer, input msgId as int64, input msgTokens as System.Object extent):
   end method.

   method public void logBasic(input subsystemId as integer, input msgFormat as character, input msgTokens as System.Object extent):
   end method.

   method public void logClose():
   end method.

   method public void logError(input subsystemId as integer, input msg as character):
   end method.

   method public void logExtended(input entrytypeId as integer, input msg as character):
   end method.

   method public void logExtended(input entrytypeId as integer, input msgId as int64, input msgTokens as System.Object extent):
   end method.

   method public void logExtended(input entrytypeId as integer, input msgFormat as character, input msgTokens as System.Object extent):
   end method.

   method public void logStackTrace(input entrytypeId as integer, input msg as character, input except as System.Exception):
   end method.

   method public void logStackTrace(input entrytypeId as integer, input msgId as int64, input msgTokens as System.Object extent, input except as System.Exception):
   end method.

   method public void logVerbose(input entrytypeId as integer, input msg as character):
   end method.

   method public void logVerbose(input entrytypeId as integer, input msgId as int64, input msgTokens as System.Object extent):
   end method.

   method public void logVerbose(input entrytypeId as integer, input msgFormat as character, input msgTokens as System.Object extent):
   end method.

   method public void logWriteMessage(input dest as integer, input severityLevel as integer, input execEnvId as character, input entrytypeId as character, input msgText as character):
   end method.

   method public void logWriteMessage(input dest as integer, input severityLevel as integer, input execEnvId as character, input entrytypeId as character, input msgText as character, input except as System.Exception):
   end method.

   method public character nameAt(input index as integer):
   end method.

   method public int64 setLogEntries(input logEntryTypes as character):
   end method.

   method public void ehnLogWrite(input dest as integer, input severityLevel as integer, input execEnvId as character, input entrytypeId as character, input msgText as character):
   end method.

   method public void ehnLogDump(input dest as integer, input severityLevel as integer, input execEnvId as character, input entrytypeId as character, input msgText as character, input pbData as System.Byte extent, input cbData as integer):
   end method.

   method public void ehnLogStackTrace(input dest as integer, input severityLevel as integer, input execEnvId as character, input entrytypeId as character, input msgText as character, input e as System.Exception):
   end method.

   method public logical ifLogIt(input loggingLevel as integer, input logEntries as int64, input logEntryIndex as integer):
   end method.

   method public logical ifLogLevel(input loggingLevel as integer):
   end method.

   method public logical ifLogBasic(input logEntries as int64, input logEntryIndex as integer):
   end method.

   method public logical ifLogVerbose(input logEntries as int64, input logEntryIndex as integer):
   end method.

   method public logical ifLogExtended(input logEntries as int64, input logEntryIndex as integer):
   end method.

   method public int64 setLogEntries(input newLogEntries as int64, input newsubLevelUsed as logical, input newlogSubLevels as System.Byte extent):
   end method.

   method public void SetLogContext(input contextName as character):
   end method.

end class.
