class System.Xml.XPath.XPathNavigator
   inherits System.Xml.XPath.XPathItem
   implements System.ICloneable, System.Xml.XPath.IXPathNavigable, System.Xml.IXmlNamespaceResolver
   abstract:

   def public override property IsNode as logical
      get.

   def public override property XmlType as System.Xml.Schema.XmlSchemaType
      get.

   def public override property TypedValue as System.Object
      get.

   def public override property ValueType as System.Type
      get.

   def public override property ValueAsBoolean as logical
      get.

   def public override property ValueAsDateTime as datetime
      get.

   def public override property ValueAsDouble as decimal
      get.

   def public override property ValueAsInt as integer
      get.

   def public override property ValueAsLong as int64
      get.

   def public abstract property NameTable as System.Xml.XmlNameTable
      get.

   def public static property NavigatorComparer as System.Collections.IEqualityComparer
      get.

   def public abstract property NodeType as System.Xml.XPath.XPathNodeType
      get.

   def public abstract property LocalName as character
      get.

   def public abstract property Name as character
      get.

   def public abstract property NamespaceURI as character
      get.

   def public abstract property Prefix as character
      get.

   def public abstract property BaseURI as character
      get.

   def public abstract property IsEmptyElement as logical
      get.

   def public property XmlLang as character
      get.

   def public property UnderlyingObject as System.Object
      get.

   def public property HasAttributes as logical
      get.

   def public property HasChildren as logical
      get.

   def public property SchemaInfo as System.Xml.Schema.IXmlSchemaInfo
      get.

   def public property CanEdit as logical
      get.

   def public property OuterXml as character
      get.
      set.

   def public property InnerXml as character
      get.
      set.

   constructor protected XPathNavigator():
   end constructor.

   method public override character ToString():
   end method.

   method public void SetValue(input value as character):
   end method.

   method public void SetTypedValue(input typedValue as System.Object):
   end method.

   method public override System.Object ValueAs(input returnType as System.Type, input nsResolver as System.Xml.IXmlNamespaceResolver):
   end method.

   method public System.Xml.XPath.XPathNavigator CreateNavigator():
   end method.

   method public character LookupNamespace(input prefix as character):
   end method.

   method public character LookupPrefix(input namespaceURI as character):
   end method.

   method public System.Collections.Generic.IDictionary GetNamespacesInScope(input scope as System.Xml.XmlNamespaceScope):
   end method.

   method public abstract override System.Xml.XPath.XPathNavigator Clone().

   method public System.Xml.XmlReader ReadSubtree():
   end method.

   method public void WriteSubtree(input writer as System.Xml.XmlWriter):
   end method.

   method public character GetAttribute(input localName as character, input namespaceURI as character):
   end method.

   method public logical MoveToAttribute(input localName as character, input namespaceURI as character):
   end method.

   method public abstract logical MoveToFirstAttribute().

   method public abstract logical MoveToNextAttribute().

   method public character GetNamespace(input name as character):
   end method.

   method public logical MoveToNamespace(input name as character):
   end method.

   method public abstract logical MoveToFirstNamespace(input namespaceScope as System.Xml.XPath.XPathNamespaceScope).

   method public abstract logical MoveToNextNamespace(input namespaceScope as System.Xml.XPath.XPathNamespaceScope).

   method public final logical MoveToFirstNamespace():
   end method.

   method public final logical MoveToNextNamespace():
   end method.

   method public abstract logical MoveToNext().

   method public abstract logical MoveToPrevious().

   method public logical MoveToFirst():
   end method.

   method public abstract logical MoveToFirstChild().

   method public abstract logical MoveToParent().

   method public void MoveToRoot():
   end method.

   method public abstract logical MoveTo(input other as System.Xml.XPath.XPathNavigator).

   method public abstract logical MoveToId(input id as character).

   method public logical MoveToChild(input localName as character, input namespaceURI as character):
   end method.

   method public logical MoveToChild(input type as System.Xml.XPath.XPathNodeType):
   end method.

   method public logical MoveToFollowing(input localName as character, input namespaceURI as character):
   end method.

   method public logical MoveToFollowing(input localName as character, input namespaceURI as character, input end as System.Xml.XPath.XPathNavigator):
   end method.

   method public logical MoveToFollowing(input type as System.Xml.XPath.XPathNodeType):
   end method.

   method public logical MoveToFollowing(input type as System.Xml.XPath.XPathNodeType, input end as System.Xml.XPath.XPathNavigator):
   end method.

   method public logical MoveToNext(input localName as character, input namespaceURI as character):
   end method.

   method public logical MoveToNext(input type as System.Xml.XPath.XPathNodeType):
   end method.

   method public abstract logical IsSamePosition(input other as System.Xml.XPath.XPathNavigator).

   method public logical IsDescendant(input nav as System.Xml.XPath.XPathNavigator):
   end method.

   method public System.Xml.XmlNodeOrder ComparePosition(input nav as System.Xml.XPath.XPathNavigator):
   end method.

   method public logical CheckValidity(input schemas as System.Xml.Schema.XmlSchemaSet, input validationEventHandler as System.Xml.Schema.ValidationEventHandler):
   end method.

   method public System.Xml.XPath.XPathExpression Compile(input xpath as character):
   end method.

   method public System.Xml.XPath.XPathNavigator SelectSingleNode(input xpath as character):
   end method.

   method public System.Xml.XPath.XPathNavigator SelectSingleNode(input xpath as character, input resolver as System.Xml.IXmlNamespaceResolver):
   end method.

   method public System.Xml.XPath.XPathNavigator SelectSingleNode(input expression as System.Xml.XPath.XPathExpression):
   end method.

   method public System.Xml.XPath.XPathNodeIterator Select(input xpath as character):
   end method.

   method public System.Xml.XPath.XPathNodeIterator Select(input xpath as character, input resolver as System.Xml.IXmlNamespaceResolver):
   end method.

   method public System.Xml.XPath.XPathNodeIterator Select(input expr as System.Xml.XPath.XPathExpression):
   end method.

   method public System.Object Evaluate(input xpath as character):
   end method.

   method public System.Object Evaluate(input xpath as character, input resolver as System.Xml.IXmlNamespaceResolver):
   end method.

   method public System.Object Evaluate(input expr as System.Xml.XPath.XPathExpression):
   end method.

   method public System.Object Evaluate(input expr as System.Xml.XPath.XPathExpression, input context as System.Xml.XPath.XPathNodeIterator):
   end method.

   method public logical Matches(input expr as System.Xml.XPath.XPathExpression):
   end method.

   method public logical Matches(input xpath as character):
   end method.

   method public System.Xml.XPath.XPathNodeIterator SelectChildren(input type as System.Xml.XPath.XPathNodeType):
   end method.

   method public System.Xml.XPath.XPathNodeIterator SelectChildren(input name as character, input namespaceURI as character):
   end method.

   method public System.Xml.XPath.XPathNodeIterator SelectAncestors(input type as System.Xml.XPath.XPathNodeType, input matchSelf as logical):
   end method.

   method public System.Xml.XPath.XPathNodeIterator SelectAncestors(input name as character, input namespaceURI as character, input matchSelf as logical):
   end method.

   method public System.Xml.XPath.XPathNodeIterator SelectDescendants(input type as System.Xml.XPath.XPathNodeType, input matchSelf as logical):
   end method.

   method public System.Xml.XPath.XPathNodeIterator SelectDescendants(input name as character, input namespaceURI as character, input matchSelf as logical):
   end method.

   method public System.Xml.XmlWriter PrependChild():
   end method.

   method public System.Xml.XmlWriter AppendChild():
   end method.

   method public System.Xml.XmlWriter InsertAfter():
   end method.

   method public System.Xml.XmlWriter InsertBefore():
   end method.

   method public System.Xml.XmlWriter CreateAttributes():
   end method.

   method public System.Xml.XmlWriter ReplaceRange(input lastSiblingToReplace as System.Xml.XPath.XPathNavigator):
   end method.

   method public void ReplaceSelf(input newNode as character):
   end method.

   method public void ReplaceSelf(input newNode as System.Xml.XmlReader):
   end method.

   method public void ReplaceSelf(input newNode as System.Xml.XPath.XPathNavigator):
   end method.

   method public void AppendChild(input newChild as character):
   end method.

   method public void AppendChild(input newChild as System.Xml.XmlReader):
   end method.

   method public void AppendChild(input newChild as System.Xml.XPath.XPathNavigator):
   end method.

   method public void PrependChild(input newChild as character):
   end method.

   method public void PrependChild(input newChild as System.Xml.XmlReader):
   end method.

   method public void PrependChild(input newChild as System.Xml.XPath.XPathNavigator):
   end method.

   method public void InsertBefore(input newSibling as character):
   end method.

   method public void InsertBefore(input newSibling as System.Xml.XmlReader):
   end method.

   method public void InsertBefore(input newSibling as System.Xml.XPath.XPathNavigator):
   end method.

   method public void InsertAfter(input newSibling as character):
   end method.

   method public void InsertAfter(input newSibling as System.Xml.XmlReader):
   end method.

   method public void InsertAfter(input newSibling as System.Xml.XPath.XPathNavigator):
   end method.

   method public void DeleteRange(input lastSiblingToDelete as System.Xml.XPath.XPathNavigator):
   end method.

   method public void DeleteSelf():
   end method.

   method public void PrependChildElement(input prefix as character, input localName as character, input namespaceURI as character, input value as character):
   end method.

   method public void AppendChildElement(input prefix as character, input localName as character, input namespaceURI as character, input value as character):
   end method.

   method public void InsertElementBefore(input prefix as character, input localName as character, input namespaceURI as character, input value as character):
   end method.

   method public void InsertElementAfter(input prefix as character, input localName as character, input namespaceURI as character, input value as character):
   end method.

   method public void CreateAttribute(input prefix as character, input localName as character, input namespaceURI as character, input value as character):
   end method.

end class.
