class OpenEdge.Net.HTTP.Lib.ABLSockets.ABLSocketLibrary 
implements OpenEdge.Net.HTTP.IHttpClientLibrary, OpenEdge.Logging.ISupportLogging:
    
    define public property Logger as OpenEdge.Logging.ILogWriter no-undo get. set.

    define public property LibraryName as character no-undo get.

    define public property LibraryVersion as character no-undo get.

    define public property Options as OpenEdge.Net.HTTP.ClientOptions no-undo get.

    constructor public ABLSocketLibrary(input pcLibraryName as character,  input pcLibraryVersion as character,
                                        input poSocket as OpenEdge.Net.ServerConnection.ClientSocket,
                                        input poSocketConnectionParams as OpenEdge.Net.ServerConnection.ClientSocketConnectionParameters):
    end constructor.

    constructor public ABLSocketLibrary(input pcLibraryName as character,
                                        input pcLibraryVersion as character,
                                        input poSocket as OpenEdge.Net.ServerConnection.ClientSocket,
                                        input poSocketConnectionParams as OpenEdge.Net.ServerConnection.ClientSocketConnectionParameters,
                                        input poOptions as OpenEdge.Net.HTTP.ClientOptions):
    end constructor.
    
    destructor public ABLSocketLibrary():
    end destructor.    

    method public void ReadTimeoutHandler(input poSender as OpenEdge.Net.ServerConnection.ClientSocket,
                                          input poEventArgs as OpenEdge.Net.ServerConnection.SocketReadEventArgs):
    end method.

    method public void ReadTerminatedHandler(input poSender as OpenEdge.Net.ServerConnection.ClientSocket,
                                          input poEventArgs as OpenEdge.Net.ServerConnection.SocketReadEventArgs):
    end method.

    method public void DataReceivedHandler(input poSender as OpenEdge.Net.ServerConnection.ClientSocket,
                                           input poEventArgs as OpenEdge.Net.ServerConnection.SocketReadEventArgs):
    end method.
    
    method protected void CreateTunnel(input pProxyReq as OpenEdge.Net.HTTP.ISupportProxy):
    end method.
   
    method protected void MakeSyncRequest(input pServer as OpenEdge.Net.ServerConnection.ClientSocket, 
                                          input pRequest as OpenEdge.Net.HTTP.IHttpRequest,
                                          input pResponse as OpenEdge.Net.HTTP.IHttpResponse ):
    end method.

    method public void Execute(input poRequest as OpenEdge.Net.HTTP.IHttpRequest,
                               input poResponse as OpenEdge.Net.HTTP.IHttpResponse):        
    end method.

    method private void ExtractBody(input poRequest as OpenEdge.Net.HTTP.IHttpRequest,
                                    input poMessageBody as OpenEdge.Core.ByteBucket):
    end method.

    method private void ExtractEntity(input poResponse as OpenEdge.Net.HTTP.IHttpResponse,
                                      input poMessageBody as OpenEdge.Core.ByteBucket):
    end method.
    
end class.
