class OpenEdge.Net.ServerConnection.ClientSocket
implements OpenEdge.Core.ServerConnection.IServerConnection, 
           OpenEdge.Logging.ISupportLogging:
           
  define public property Connected as logical no-undo get.
  define public property ConnectionParameters as OpenEdge.Core.ServerConnection.IConnectionParameters no-undo get.	
  define public property DefaultReadTimeout as integer no-undo get. set.
  define public property KeepAlive as logical no-undo get. set.
  define public property LingerTime as integer no-undo get. set.
  define public property Logger as OpenEdge.Logging.ILogWriter no-undo get. set. 	
  define public property NoDelay as logical no-undo get. set.
  define public property ReadBufferSize as integer no-undo get. set.
  define public property ReceiveBufferSize as integer no-undo get. set.
  define public property ReceiveTimeout as integer no-undo get. set.
  define public property ReuseAddress as logical no-undo get. set.
  define public property SendBufferSize as integer no-undo get. set.
  define public property Server as Progress.Lang.Object no-undo get.
  define public property LocalHost as character no-undo get.
  define public property LocalPort as integer no-undo get.
  define public property RemoteHost as character no-undo get.
  define public property RemotePort as integer no-undo get.
  define public property SslServerName as character no-undo get.
  
  destructor ClientSocket():
  end.

  constructor public ClientSocket():
  end.

  constructor public ClientSocket(p1 as OpenEdge.Net.ServerConnection.ClientSocketConnectionParameters):
  end.
  
  method public void Connect ():
  end.
  
  method public void Connect (input p1 as OpenEdge.Net.ServerConnection.ClientSocketConnectionParameters):
  end.
  
  method public void Connect (input p1 as OpenEdge.Net.URI):
  end.
  
  method public void CreateServer ():
  end.
  
  method public void DestroyServer ():
  end.
  
  method public void Disconnect ():
  end.
  
  method protected logical IsConnected ():
  end.
  
  method protected void OnDataReceived (input p1 as OpenEdge.Net.ServerConnection.SocketReadEventArgs):
  end.
  
  method protected void OnReadTerminated (input p1 as OpenEdge.Net.ServerConnection.SocketReadEventArgs):
  end.
  
  method protected void OnReadTimeout (input p1 as OpenEdge.Net.ServerConnection.SocketReadEventArgs):
  end.
  
  method public void ReadResponseHandler ():
  end.
  
  method private void SetSocketOptions (input p1 as handle):
  end.
  
  method public void StartTls(input pCertificatSubjectName as character):
  end.
  
  method public void WaitForResponse ():
  end.
  
  method public void WaitForResponse (input p1 as decimal):
  end.
  
  method public void WaitForResponseAsync (input p1 as decimal):
  end.
  
  method public void WriteData (input p1 as memptr):
  end.
 
  define public event DataReceived signature void (input p1 as OpenEdge.Net.ServerConnection.ClientSocket, 	
                                                   input p2 as OpenEdge.Net.ServerConnection.SocketReadEventArgs).
    
  define public event ReadTerminated signature void (input p1 as OpenEdge.Net.ServerConnection.ClientSocket, 	
                                                     input p2 as OpenEdge.Net.ServerConnection.SocketReadEventArgs). 	

  define public event ReadTimeout signature void (input p1 as OpenEdge.Net.ServerConnection.ClientSocket, 	
                                                  input p2 as OpenEdge.Net.ServerConnection.SocketReadEventArgs).  
  
end.
